Skip to navigation

Get password rules

View as Markdown
This method retrieves the password rules for an account.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Response

Successful response.
expirePasswordstringOptional

When true, passwords expire. The default value is false.

expirePasswordDaysstringOptional

The number of days before passwords expire. To use this property, the expirePassword property must be set to true.

expirePasswordDaysMetadataobjectOptional
lockoutDurationMinutesstringOptional

The number of minutes a user is locked out of the system after three failed login attempts. The default value is 2.

lockoutDurationMinutesMetadataobjectOptional
lockoutDurationTypestringOptional

The interval associated with the user lockout after a failed login attempt.

Possible values are:

  • minutes (default)
  • hours
  • days
lockoutDurationTypeMetadataobjectOptional
minimumPasswordAgeDaysstringOptional

The minimum number of days after a password is set before it can be changed. This value can be 0 or more days. The default value is 0.

minimumPasswordAgeDaysMetadataobjectOptional
minimumPasswordLengthstringOptional

The minimum number of characters in the password. This value must be a number between 6 and 15. The default value is 6.

minimumPasswordLengthMetadataobjectOptional
passwordIncludeDigitstringOptional

When true, passwords must include a digit. The default value is false.

passwordIncludeDigitOrSpecialCharacterstringOptional

When true, passwords must include either a digit or a special character. The default value is false.

Note: Passwords cannot include angle brackets (< >) or spaces.

passwordIncludeLowerCasestringOptional

When true, passwords must include a lowercase letter. The default value is false.

passwordIncludeSpecialCharacterstringOptional

When true, passwords must include a special character. The default value is false.

Note: Passwords cannot include angle brackets (< >) or spaces.

passwordIncludeUpperCasestringOptional

When true, passwords must include an uppercase letter. The default value is false.

passwordStrengthTypestringOptional

The type of password strength. Possible values are:

  • basic: The minimum password length is 6 characters with no other password requirements.

  • medium: The minimum password length is 7 characters. Passwords must also have one uppercase letter, one lowercase letter, and one number or special character.

  • strong: The minimum password length is 9 characters. Passwords must also have one uppercase letter, one lowercase letter, one number, and one special character.

  • custom: This option enables you to customize password requirements, including the following properties:

  • minimumPasswordLength

  • minimumPasswordAgeDays

  • passwordIncludeDigit

  • passwordIncludeDigitOrSpecialCharacter

  • passwordIncludeLowerCase

  • passwordIncludeSpecialCharacter

  • passwordIncludeUpperCase

  • questionsRequired

passwordStrengthTypeMetadataobjectOptional
questionsRequiredstringOptional

The number of security questions required to confirm the user’s identity before the user can reset their password. The default value is 0.

questionsRequiredMetadataobjectOptional

Information about the number of password questions required (0 to 4) to confirm a user’s identity when a user needs to reset their password.

Errors

400
Bad Request Error